GET api/mediwaveprogramstepapi/steps/{programId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| programId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"code": 2,
"id": "e55dbfb1-39ac-4267-834b-277da384b8bc",
"program_id": "2e069af0-55c4-4ab3-8059-5966216ab1d1",
"mediwave_program_step_type_id": "f684bbca-d084-4f8e-90a2-ca559848857e",
"name": "sample string 6"
},
{
"active": true,
"code": 2,
"id": "e55dbfb1-39ac-4267-834b-277da384b8bc",
"program_id": "2e069af0-55c4-4ab3-8059-5966216ab1d1",
"mediwave_program_step_type_id": "f684bbca-d084-4f8e-90a2-ca559848857e",
"name": "sample string 6"
}
]
application/xml, text/xml
Sample:
<ArrayOfmediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<mediwave_program_step>
<active>true</active>
<code>2</code>
<id>e55dbfb1-39ac-4267-834b-277da384b8bc</id>
<mediwave_program_step_type_id>f684bbca-d084-4f8e-90a2-ca559848857e</mediwave_program_step_type_id>
<name>sample string 6</name>
<program_id>2e069af0-55c4-4ab3-8059-5966216ab1d1</program_id>
</mediwave_program_step>
<mediwave_program_step>
<active>true</active>
<code>2</code>
<id>e55dbfb1-39ac-4267-834b-277da384b8bc</id>
<mediwave_program_step_type_id>f684bbca-d084-4f8e-90a2-ca559848857e</mediwave_program_step_type_id>
<name>sample string 6</name>
<program_id>2e069af0-55c4-4ab3-8059-5966216ab1d1</program_id>
</mediwave_program_step>
</ArrayOfmediwave_program_step>